coupang
PUT/v2/providers/marketplace_openapi/apis/api/v1/coupon-items2609170000

[Downloadable Coupon] Item Creation

# 01

Summary

[Downloadable Coupon] Item Creation

# 02

Details

Available buyer market: Korea

You may use this API to apply downloadable coupons created to vendorItemId.

Note that coupons that are not added to applicable items will be destroyed.

Path

PUT/v2/providers/marketplace_openapi/apis/api/v1/coupon-items

Example endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/coupon-items

URL API Name

Add_VENDOR_ITEMS_TO_COUPON
# 03

Request body

Request parameters

Body parameter

NameTypeDescription
couponItems*object[]
Data to apply coupon to product
couponId
couponItems[].couponId
string
Coupon ID
Available in the coupon creation response
userId
couponItems[].userId
string
User account (WING login ID)
vendorItemIds
couponItems[].vendorItemIds
object[]
OptionID(s) to which to apply coupon
The maximum number of Item ID's you can upload each time is 100.
Request exampleapplication/json
{
  "couponItems": [
    {
      "couponId": "15350660",
      "userId": "testaccount1",
      "vendorItemIds": [
        2306264997,
        4802314648,
        4230264914
      ]
    }
  ]
}
# 04

Response body

Response message

NameTypeDescription
requestResultStatusstring
Result of call
SUCCESS / FAIL
bodyobject
couponId
body.couponId
integer
Applicable coupon ID
errorCodestring
Categorization of errors that occur
errorMessagestring
Details of error

Response Example

{
  "requestResultStatus": "SUCCESS",
  "body": {
    "couponId": 15350660
  },
  "errorCode": null,
  "errorMessage": null
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check request parameter)

This promotion has been deleted.

Check if you entered couponID correctly. Also check if couponID was deleted because coupon was not applied to option.